Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-15.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-15.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-15.exp
@@ -282,210 +282,209 @@
   </synapse>
   <synapse id="18">
     <action_set>
-      <rsc_op id="35" operation="monitor" operation_key="IPaddr_192_168_1_104_monitor_5000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
+      <rsc_op id="36" operation="monitor" operation_key="IPaddr_192_168_1_104_monitor_5000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="IPaddr_192_168_1_104" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="5000"  ip="192.168.1.104"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="34" operation="start" operation_key="IPaddr_192_168_1_104_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
+        <rsc_op id="35" operation="start" operation_key="IPaddr_192_168_1_104_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="19">
     <action_set>
-      <rsc_op id="34" operation="start" operation_key="IPaddr_192_168_1_104_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
+      <rsc_op id="35" operation="start" operation_key="IPaddr_192_168_1_104_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="IPaddr_192_168_1_104" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="20000"  ip="192.168.1.104"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="44" operation="start" operation_key="oracle_start_0"/>
+        <pseudo_event id="45" operation="start" operation_key="oracle_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="48" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="49" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="20">
     <action_set>
-      <rsc_op id="37" operation="monitor" operation_key="LVM_22_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
+      <rsc_op id="38" operation="monitor" operation_key="LVM_22_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="LVM_22" class="ocf" provider="heartbeat" type="LVM"/>
         <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="60000"  volgrpname="data03vg"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="36" operation="start" operation_key="LVM_22_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
+        <rsc_op id="37" operation="start" operation_key="LVM_22_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="21">
     <action_set>
-      <rsc_op id="36" operation="start" operation_key="LVM_22_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
+      <rsc_op id="37" operation="start" operation_key="LVM_22_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="LVM_22" class="ocf" provider="heartbeat" type="LVM"/>
         <attributes CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="20000"  volgrpname="data03vg"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="34" operation="start" operation_key="IPaddr_192_168_1_104_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
+        <rsc_op id="35" operation="start" operation_key="IPaddr_192_168_1_104_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
       </trigger>
       <trigger>
-        <pseudo_event id="44" operation="start" operation_key="oracle_start_0"/>
+        <pseudo_event id="45" operation="start" operation_key="oracle_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="48" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="49" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="22">
     <action_set>
-      <rsc_op id="39" operation="monitor" operation_key="Filesystem_23_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
+      <rsc_op id="40" operation="monitor" operation_key="Filesystem_23_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="Filesystem_23" class="ocf" provider="heartbeat" type="Filesystem"/>
         <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="60000"  device="/dev/data03vg/v0" directory="/data/d3" fstype="xfs"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="38" operation="start" operation_key="Filesystem_23_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
+        <rsc_op id="39" operation="start" operation_key="Filesystem_23_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="23">
     <action_set>
-      <rsc_op id="38" operation="start" operation_key="Filesystem_23_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
+      <rsc_op id="39" operation="start" operation_key="Filesystem_23_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="Filesystem_23" class="ocf" provider="heartbeat" type="Filesystem"/>
         <attributes CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="20000"  device="/dev/data03vg/v0" directory="/data/d3" fstype="xfs"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="36" operation="start" operation_key="LVM_22_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
+        <rsc_op id="37" operation="start" operation_key="LVM_22_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
       </trigger>
       <trigger>
-        <pseudo_event id="44" operation="start" operation_key="oracle_start_0"/>
+        <pseudo_event id="45" operation="start" operation_key="oracle_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="48" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="49" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="24">
     <action_set>
-      <rsc_op id="41" operation="monitor" operation_key="oracle_24_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
+      <rsc_op id="42" operation="monitor" operation_key="oracle_24_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="oracle_24" class="ocf" provider="heartbeat" type="oracle"/>
         <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="60000"  sid="testdb"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="40" operation="start" operation_key="oracle_24_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
+        <rsc_op id="41" operation="start" operation_key="oracle_24_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="25">
     <action_set>
-      <rsc_op id="40" operation="start" operation_key="oracle_24_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
+      <rsc_op id="41" operation="start" operation_key="oracle_24_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="oracle_24" class="ocf" provider="heartbeat" type="oracle"/>
         <attributes CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="20000"  sid="testdb"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="38" operation="start" operation_key="Filesystem_23_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
+        <rsc_op id="39" operation="start" operation_key="Filesystem_23_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
       </trigger>
       <trigger>
-        <pseudo_event id="44" operation="start" operation_key="oracle_start_0"/>
+        <pseudo_event id="45" operation="start" operation_key="oracle_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="48" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="49" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="26">
     <action_set>
-      <rsc_op id="43" operation="monitor" operation_key="oralsnr_25_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
+      <rsc_op id="44" operation="monitor" operation_key="oralsnr_25_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="oralsnr_25" class="ocf" provider="heartbeat" type="oralsnr"/>
         <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="60000"  sid="testdb"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="42" operation="start" operation_key="oralsnr_25_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
+        <rsc_op id="43" operation="start" operation_key="oralsnr_25_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="27">
     <action_set>
-      <rsc_op id="42" operation="start" operation_key="oralsnr_25_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
+      <rsc_op id="43" operation="start" operation_key="oralsnr_25_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="oralsnr_25" class="ocf" provider="heartbeat" type="oralsnr"/>
         <attributes CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="20000"  sid="testdb"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="40" operation="start" operation_key="oracle_24_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
+        <rsc_op id="41" operation="start" operation_key="oracle_24_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
       </trigger>
       <trigger>
-        <pseudo_event id="44" operation="start" operation_key="oracle_start_0"/>
+        <pseudo_event id="45" operation="start" operation_key="oracle_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="48" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="49" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="28">
     <action_set>
-      <crm_event id="49" operation="stonith" operation_key="stonith-sapcl03-reboot" on_node="sapcl03" on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750">
-        <attributes CRM_meta_on_node="sapcl03" CRM_meta_on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750" CRM_meta_op_no_wait="true" CRM_meta_standby="off" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="0bfb78a2-fcd2-4f52-8a06-2d17437a6750"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="29">
-    <action_set>
-      <pseudo_event id="48" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="49" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="49" operation="stonith" operation_key="stonith-sapcl03-reboot" on_node="sapcl03" on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-sapcl03-reboot" on_node="sapcl03" on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="30">
+  <synapse id="29">
     <action_set>
-      <pseudo_event id="7" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="8" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="stonith-1_monitor_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
+        <rsc_op id="9" operation="monitor" operation_key="stonith-1_monitor_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d"/>
       </trigger>
       <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="stonith-1_monitor_0" on_node="sapcl02" on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181"/>
+        <rsc_op id="10" operation="monitor" operation_key="stonith-1_monitor_0" on_node="sapcl02" on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181"/>
       </trigger>
       <trigger>
-        <rsc_op id="21" operation="stop" operation_key="IPaddr_192_168_1_102_stop_0" on_node="sapcl02" on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181"/>
+        <rsc_op id="22" operation="stop" operation_key="IPaddr_192_168_1_102_stop_0" on_node="sapcl02" on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181"/>
       </trigger>
       <trigger>
-        <rsc_op id="24" operation="stop" operation_key="LVM_12_stop_0" on_node="sapcl02" on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181"/>
+        <rsc_op id="25" operation="stop" operation_key="LVM_12_stop_0" on_node="sapcl02" on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181"/>
       </trigger>
       <trigger>
-        <rsc_op id="27" operation="stop" operation_key="Filesystem_13_stop_0" on_node="sapcl02" on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181"/>
+        <rsc_op id="28" operation="stop" operation_key="Filesystem_13_stop_0" on_node="sapcl02" on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181"/>
       </trigger>
       <trigger>
-        <pseudo_event id="48" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="49" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="30">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-sapcl03-reboot" on_node="sapcl03" on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750">
+        <attributes CRM_meta_on_node="sapcl03" CRM_meta_on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750" CRM_meta_op_no_wait="true" CRM_meta_standby="off" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="0bfb78a2-fcd2-4f52-8a06-2d17437a6750"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-4.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-4.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-4.exp
@@ -1,23 +1,23 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="5" operation="start" operation_key="stonith-1_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="6" operation="start" operation_key="stonith-1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped"/>
+        <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -26,38 +26,38 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="7" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="8" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0">
+      <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0">
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -66,38 +66,38 @@
   </synapse>
   <synapse id="5">
     <action_set>
-      <rsc_op id="9" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="10" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0"/>
+        <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6">
     <action_set>
-      <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0">
+      <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0">
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -106,53 +106,52 @@
   </synapse>
   <synapse id="8">
     <action_set>
-      <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1">
-        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="uuid1"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="9">
-    <action_set>
-      <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="10">
+  <synapse id="9">
     <action_set>
-      <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0"/>
+        <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="10">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1">
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="uuid1"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-5.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-5.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-5.exp
@@ -1,20 +1,20 @@
  <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
    <synapse id="0">
      <action_set>
-      <rsc_op id="4" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="5" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
        </trigger>
      </inputs>
    </synapse>
   <synapse id="1">
      <action_set>
-      <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
@@ -23,20 +23,20 @@
    </synapse>
   <synapse id="2">
      <action_set>
-      <rsc_op id="5" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="6" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
        </trigger>
      </inputs>
    </synapse>
   <synapse id="3">
      <action_set>
-      <rsc_op id="3" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
